<template>
    <div class="introduction">
        <div class="introduction-left">
            <div class="text-title">
                {{title}}
                <span class="english" >INTRODUCTION</span>
            </div>
            <div class="introduction-content">
                <div class="intro">
                    <p>
                       {{paragraph1}} </p>
                    <p>
                       {{paragraph2}}
                    </p>
                </div>
            </div>

        </div>
        <div class="introduction-right">

        </div>

    </div>
</template>

<script>
  import {lang} from '@/utils/lang'
  export default {
    name: 'introduction',
    components: {

    },
	data() {
	    return {
			title:'',
			paragraph1:'',
			paragraph2:''
	    }
	},
	mounted() {
	    this.init()
	},
   methods: {
	    init() {
			if(lang.lg == "en"){
				this.title = lang.en.CompanyProfile
				this.paragraph1 = lang.en.paragraph1
				this.paragraph2 = lang.en.paragraph2
			}else{
				
				this.title = lang.hk.CompanyProfile
				this.paragraph1 = lang.hk.paragraph1
				this.paragraph2 = lang.hk.paragraph2
			}
		}
   }
  }
</script>

<style lang="less" scoped>
    @import url('./introduction.less');
</style>
